Name:           libzen
Version:        0.4.38
Release:        1
Summary:        Shared library for libmediainfo and medianfo*
Summary(ru):    Разделяемая библиотека для libmediainfo и medianfo*

License:        zlib
URL:            https://github.com/MediaArea/ZenLib
Source0:        %{name}_%{version}.tar.bz2

BuildRequires:  gcc gcc-c++ doxygen cmake pkgconfig(zlib)

%description
Files shared library for libmediainfo and medianfo-*.

%description -l ru
Файлы разделяемой библиотеки для libmediainfo и medianfo-*.

%package        help
Summary:        Documentation for %{name}
Summary(ru):    Пакет с документацией для %{name}
Requires:       %{name} = %{version}
BuildArch:      noarch

%description    help
Documentation files.

%description    help -l ru
Файлы документации %{name}.

%package        devel
Summary:        Include files and mandatory libraries for development
Summary(ru):    Пакет с файлами для разработки %{name}
Requires:       %{name}%{?_isa} = %{version}

%description    devel
Include files and mandatory libraries for development.

%description    devel -l ru
Файлы для разработки %{name}.

%prep
%autosetup -n ZenLib

#Correct documentation encoding and permissions
sed -i 's/.$//' *.txt
chmod 644 *.txt Source/Doc/Documentation.html

chmod 644 Source/ZenLib/*.h Source/ZenLib/*.cpp \
    Source/ZenLib/Format/Html/*.h Source/ZenLib/Format/Html/*.cpp \
    Source/ZenLib/Format/Http/*.h Source/ZenLib/Format/Http/*.cpp

%build
#Make documentation
pushd Source/Doc/
    doxygen -u Doxyfile
    doxygen Doxyfile
popd
cp Source/Doc/*.html ./

mkdir Project/CMake/build
pushd Project/CMake/build
    %cmake ..
    %make_build
popd

%install
pushd Project/CMake/build
    %make_install
popd

%files
%doc History.txt ReadMe.txt
%license License.txt
%{_libdir}/%{name}.so.*

%files help
%doc Documentation.html
%doc Doc

%files devel
%{_includedir}/ZenLib
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/zenlib/


%changelog
* Fri Aug 7 2020 weidong <weidong@uniontech.com> - 0.4.38-1
- Initial release for OpenEuler
